Package com.macrofocus.high_d

# Enum Class HighDSettings.PropertyType

java.lang.Object
java.lang.Enum<HighDSettings.PropertyType>
com.macrofocus.high_d.HighDSettings.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<HighDSettings.PropertyType>`, `Constable`

Enclosing class:
  `HighDSettings<Color,Font>`

public static enum HighDSettings.PropertyType extends Enum<HighDSettings.PropertyType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `allowScrolling`
  `antialiasing`
  `ColorMapping`
  `ColorTheme`
  `geometry`
  `InteractionMode`
  `rendering`
  `showFiltered`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighDSettings.PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighDSettings.PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### showFiltered

    public static final HighDSettings.PropertyType showFiltered

  - ### antialiasing

    public static final HighDSettings.PropertyType antialiasing

  - ### rendering

    public static final HighDSettings.PropertyType rendering

  - ### ColorTheme

    public static final HighDSettings.PropertyType ColorTheme

  - ### InteractionMode

    public static final HighDSettings.PropertyType InteractionMode

  - ### geometry

    public static final HighDSettings.PropertyType geometry

  - ### allowScrolling

    public static final HighDSettings.PropertyType allowScrolling

  - ### ColorMapping

    public static final HighDSettings.PropertyType ColorMapping

- ## Method Details

  - ### values

    public static HighDSettings.PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighDSettings.PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null